.icon {
  @each $key, $size in (
      (lt, 8),
      (xs, 12),
      (sm, 14),
      (md, 16),
      (lg, 18),
      (xl, 20),
  ) {
    &--size-#{$key} {
      height: #{$size}px;
      width: #{$size}px;
    }
  }

  svg {
    pointer-events: none;
    height: 100%;
    width: 100%;
    display: block;
  }
}
